summaryrefslogtreecommitdiff
path: root/tests/touch/fail-diag
diff options
context:
space:
mode:
Diffstat (limited to 'tests/touch/fail-diag')
-rwxr-xr-xtests/touch/fail-diag4
1 files changed, 2 insertions, 2 deletions
diff --git a/tests/touch/fail-diag b/tests/touch/fail-diag
index f050f5798..f6dba8ee3 100755
--- a/tests/touch/fail-diag
+++ b/tests/touch/fail-diag
@@ -26,7 +26,7 @@ ls -d $d1 2> /dev/null && framework_failure=1
if test $framework_failure = 1; then
echo 'failure in testing framework' 1>&2
- (exit 1); exit
+ (exit 1); exit 1
fi
fail=0
@@ -39,4 +39,4 @@ EOF
cmp out exp || fail=1
test $fail = 1 && diff out exp 2> /dev/null
-(exit $fail); exit
+(exit $fail); exit $fail